dpkg-buildpackage(1)

NAME
dpkg-buildpackage - baue Binär- oder Quellpakete aus Quellen

ÜBERSICHT
dpkg-buildpackage [Optionen]

BESCHREIBUNG
dpkg-buildpackage ist ein Steuerskript, das zu Automatisierung des Bauens von Paketen verwendet werden kann.

OPTIONEN

-b  Spezifiziert einen rein binären Bau, keine Quelldateien sollen gebaut und/oder vertrieben (im Sinne von verteilen) werden.

-B  Spezifiziert einen rein binären Bau, es werden auch keine architekturunabhängigen Binärpaketdateien vertrieben.

-S  Spezifiziert einen reinen Bau der Quellen, keine Binärpakete müssen erstellt werden.

Die -sx Optionen steuern, ob das Original-Quellarchiv dem Upload hinzugefügt wird, falls die Quellen erzeugt werden (d.h. -b oder -B nicht verwendet wurden).

-si Standardmäßig, oder falls angegeben, werden die Originalquellen nur hinzugefügt, falls sich die Versionsnummer der Originalautoren (die Version ohne Epoche und ohne die Debian-Revision) von der Versionsnummer der Originalautoren in dem letzten Changlog-Eintrag unterscheidet.

-sa Erzwingt die Hinzunahme der Originalquellen.

-sd Erzwingt den Ausschluss der Originalquellen und fügt nur den Diff hinzu.

-aArchitektur
    Spezifiziert die Debian-Architektur, für die gebaut wird. Die Architektur der Maschine, auf der gebaut wird, wird automatisch bestimmt, und ist auch die Voreinstellung für die Gastgebermaschine (»host machine«). Falls sich die Host-Architektur von der Bau-Architektur unterscheidet (wie diese bei Cross-Kompilierung der Fall ist) und falls die Umgebungsvariable PKG_CONFIG_LIBDIR nicht gesetzt ist, dann wird sie auf einen Wert gesetzt, der für Cross-Kompilierung geeignet ist (»/usr/gnu-system-type/lib/pkgconfig/:/usr/share/pkgconfig«).

-tGNU-Systemtyp
    Spezifiziere den GNU-Systemtyp, für den wir bauen. Er kann anstelle von -a oder als Ergänzung verwandt werden, um den Standard GNU-Systemtyp der Ziel-Debian-Architektur zu überschreiben.

-jAufträge
    Anzahl an Aufträgen, die simultan laufen dürfen, äquivalent zu der Option von make(1) mit dem gleichen Namen. Fügt sich selbst zu der Umgebungsvariablen MAKEFLAGS hinzu, was dazu führen sollte, dass alle folgenden Aufrufe von make diese Option erben werden. Fügt auch parallel=Aufträge zu der Umgebungsvariablen DEB_BUILD_OPTIONS hinzu, was es debian/rules-Dateien erlaubt, diese Information für eigene Zwecke zu verwenden. Der Eintrag parallel=Aufträge in der Umgebungsvariablen DEB_BUILD_OPTIONS überschreibt den Wert von -j, falls diese Option angegeben ist.

-vVersion
    Verwende »changelog«-Informationen von allen Versionen, die strikt neuer als Version sind.

-CÄnderungsbeschreibung
    Lese die Beschreibung der Änderungen aus der Datei Änderungsbeschreibung anstatt die Informationen aus dem changelog-Datei des Quellbaums zu verwenden.

-mBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers dieses Paketes, anstatt die Informationen aus der »control«-Datei des Quellbaums zu verwenden.

-eBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers für diesen Upload, anstatt die Informationen aus dem »changelog« des Quellbaums zu verwenden.

-D  Überprüfe Bauabhängigkeiten und -konflikte; Abbruch falls nicht erfüllt.

-d  Überprüfe Bauabhängigkeiten und -konflikte nicht.

-E  Verwandle bestimme Warnungen in Fehler. Nur dpkg-source verwendet dies, aber dpkg-buildpackage erkennt es und leitet es an dpkg-source weiter.

-W  Verneint ein vorher gesetzte -E. Nur dpkg-source verwendet dies, aber dpkg-buildpackage erkennt es und leitet es an dpkg-source weiter.

-nc Den Quellbaum nicht säubern (impliziert -b).

-tc Den Quellbaum säubern (verwendet root-werde-Befehl debian/rules clean) nachdem das Paket gebaut wurde.

-rroot-werde-Befehl
    Wenn dpkg-buildpackage einen Teil des Bauprozesses als Root ausführen muss, stellt es dem auszführenden Befehl den root-werde-Befehl voran, falls dieser angegeben wurde. Andernfalls wird standardmäßig fakeroot verwendet, falls es vorhanden ist. Der root-werde-Befehl sollte der Name des Programmes im PATH sein und wird als Argumente den Namen des wirklich auszuführenden Befehles und dessen Argumente erhalten. root-werde-Befehl kann Parameter enthalten (die durch Leerzeichen voneinander getrennt sein müssen), aber keine Shell-Metazeichen. Typischerweise ist der root-werde-Befehl fakeroot, sudo, super oder really. su ist nicht geeignet, da es nur die Shell des Benutzers mit -c aufrufen kann, anstatt Argumente individuell zur Ausführung des Programms zu übergeben.

-Rrules-Datei
    Der Bau eines Debian-Pakets erfolgt gewöhnlich durch Aufruf von debian/rules als ein Befehl mit mehreren Standardparametern. Mit dieser Option ist es möglich, einen anderen Programmaufruf zum Bau des Paketes zu verwenden (es können durch Leerzeichen getrennte Parameter angegeben werden). Alternativ kann die Standard-debian/rules-Datei mit einem anderen Make-Programm ausgeführt werden (zum Beispiel durch die Verwendung von /usr/local/bin/make -f debian/rules als rules-Datei).

-psignier-Befehl
    Wenn dpkg-buildpackage GPG oder PGP zum Signieren einer Quellsteuerdatei ((.dsc)) oder einer .changes-Datei benötigt, wird es statt pgp den signier-Befehl ausführen (und dabei falls notwendig den PATH durchsuchen). Falls signier-Befehl seine Argumente im GPG- statt im PGP-Stil verlangt, sollten Sie die -sgpg-Option verwenden. signier-Befehl sollte keine Leerzeichen oder andere Metazeichen der Shell enthalten.

-kSchlüssel-id
    Geben Sie die Schlüssel-ID zur Signatur von Paketen an.

-us Das Quellpaket nicht signieren.

-uc Die .changes-Datei nicht signieren.

-i[Regexp]
    Wird unverändert an dpkg-source weitergegeben.

-I[Muster]
    Wird unverändert an dpkg-source weitergegeben. Kann mehrfach wiederholt werden.

-s[nsAkurKUR]
    Wird unverändert an dpkg-source weitergegeben.

-z, -Z
    Wird unverändert an dpkg-source weitergegeben.

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UMGEBUNG
Eine Reihe von Umgebungsvariablen für Einstellungen der Optionen des Compilers und Linkers werden auf Standardwerte gesetzt, falls sie noch nicht in der Umgebung gesetzt werden. Beachten Sie, dass dieser Mechanismus erst in dpkg-dev Version 1.14.17 eingeführt wurde und noch nicht alle rules-Dateien und Bauwerkzeuge diese Variablen berücksichtigen.

CFLAGS
    Optimierungs-Optionen, die an das Debian-Bausystem weitergegeben und vom Paketbausystem bei Bedarf überschrieben werden können/sollten (Vorgabewert: -g -O2 oder -g -O0 falls noopt in DEB_BUILD_OPTIONS angegeben ist). Das Überschreiben der Optionen kann dazu verwendet werden, explizit eine höhere Optimierungsstufe zu setzen oder um Compiler-Fehler zu umgehen, die nur bei einigen Optimierungsstufen auftreten (die letzte Optimierungsstufe »gewinnt«).

CFLAGS_APPEND
    Optimierungsoptionen, die an die Compiler-Schalter angehängt werden, die nicht vom Paket überschrieben werden dürfen (hauptsächlich zum Testen). Standardmäßig leer.

CXXFLAGS
    Identisch zu CFLAGS für C++-Quellen.

CXXFLAGS_APPEND
    Identisch zu CFLAGS_APPEND für C++-Quellen.

FFLAGS
    Identisch zu CFLAGS für Fortran-Quellen.

FFLAGS_APPEND
    Identisch zu CFLAGS_APPEND für Fortran-Quellen.

CPPFLAGS
    Präprozessor-Schalter, die an das Debian-Bausystem weitergegeben und vom Paketbausystem bei Bedarf überschrieben werden können/sollten (Vorgabewert: leer). Dieses Makro wird selten benutzt (die meisten Bausysteme verwenden einfach CFLAGS statt CPPFLAGS).

CPPFLAGS_APPEND
    Präprozessor-Schalter, die an die Präprozessor-Schalter angehängt werden, die nicht vom Paket überschrieben werden dürfen (hauptsächlich zum Testen). Standardmäßig leer.

LDFLAGS
    Optionen die beim Linken von Programmen oder Laufzeitbibliotheken an den Compiler weitergegeben werden (falls der Linker direkt aufgerufen wird, müssen -Wl und , aus diesen Optionen entfernt werden). Standardmäßig leer.

LDFLAGS_APPEND
    Optimierungs-Optionen, die an den Compiler beim Linken von Code angehängt werden und die nicht vom Paket überschrieben werden dürfen (hauptsächlich zum Testen). Standardmäßig leer.

FEHLER
Es sollte möglich sein, Leerzeichen und Metazeichen der Shell in und Anfangsargumente für root-werde-Befehl und signier-Befehl anzugeben.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg-source(1), dpkg-architecture(1), dpkg-genchanges(1), gpg(1), pgp(1).

AUTOREN
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman
Copyright (C) 2007 Frank Lichtenheld

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.